Name:          tea
Version:       47.0.1
Release:       %mkrel 5
Summary:       A powerful Qt-based editor with useful functions for HTML and LaTeX editing
Group:         Editors
URL:           http://semiletov.org/tea
Source0:       https://github.com/psemiletov/tea-qt/archive/%{version}.tar.gz

License:       GPLv3+

BuildRequires: pkgconfig(ddjvuapi)
BuildRequires: pkgconfig(hunspell)
BuildRequires: pkgconfig(zlib)

BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Gui)
BuildRequires: pkgconfig(Qt5Network)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Qml)
BuildRequires: pkgconfig(Qt5Quick)
BuildRequires: pkgconfig(Qt5PrintSupport)
BuildRequires: pkgconfig(poppler-qt5)

BuildRequires: meson
BuildRequires: qttools5

%description
TEA is the lighthweight Qt-based editor with functions
for HTML and LaTeX editing. It support for multiple encodings,
code snippets, templates, plugins, user hotkeys,
external scripts, string manipulation functions, bookmarks,
syntax highlighting, and many more.

%prep
%setup -q -n %{name}-qt-%{version}

%build
%meson
%meson_build

%install
%meson_install -C build

%files
%{_bindir}/tea
%{_datadir}/applications/tea.desktop
%{_iconsdir}/hicolor/*/apps/tea.png
%{_iconsdir}/hicolor/scalable/apps/tea.svg


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 47.0.1-5.mga8
+ Revision: 1659964
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 47.0.1-4.mga8
+ Revision: 1525500
- Mageia 8 Mass Rebuild

* Thu Apr 18 2019 umeabot <umeabot> 47.0.1-3.mga7
+ Revision: 1392936
- Rebuild with meson 0.50.1

* Tue Apr 02 2019 umeabot <umeabot> 47.0.1-2.mga7
+ Revision: 1384977
- Qt5 Rebuild

* Tue Mar 26 2019 daviddavid <daviddavid> 47.0.1-1.mga7
+ Revision: 1380238
- new version: 47.0.1

* Wed Jan 23 2019 daviddavid <daviddavid> 47.0.0-2.mga7
+ Revision: 1360385
- add missing BR on qttools5 (meson check it)
- add some others missing BRs

* Thu Nov 29 2018 semiletov <semiletov> 47.0.0-1.mga7
+ Revision: 1336761
- update to 47.0.0

* Fri Nov 23 2018 daviddavid <daviddavid> 46.3.0-2.mga7
+ Revision: 1333498
- rebuild for new hunspell 1.7.0

* Sat Sep 29 2018 semiletov <semiletov> 46.3.0-1.mga7
+ Revision: 1310930
- update to upstream version

* Tue Sep 25 2018 semiletov <semiletov> 46.2.0-1.mga7
+ Revision: 1304827
- sync with upstream version

* Wed Sep 19 2018 semiletov <semiletov> 46.1.0-1.mga7
+ Revision: 1277575
- update to upstream, the source is point to gitub release

* Sat Sep 15 2018 semiletov <semiletov> 46.0.0-1.mga7
+ Revision: 1259179
- the spec has been rewritten for meson+ninja, upstream version update

* Mon Jul 09 2018 semiletov <semiletov> 45.0.2-1.mga7
+ Revision: 1242804
- updated to the upstream version

* Fri Dec 29 2017 semiletov <semiletov> 44.1.1-6.mga7
+ Revision: 1187223
- spec file fixes and cleanup

* Fri Dec 29 2017 semiletov <semiletov> 44.1.1-5.mga7
+ Revision: 1187181
+ rebuild (emptylog)

* Mon Nov 27 2017 semiletov <semiletov> 44.1.1-4.mga7
+ Revision: 1180072
- installation prefix has been fixed
- packager field removed
- e-mail fixed

* Mon Nov 20 2017 semiletov <semiletov> 44.1.1-1.mga7
+ Revision: 1177987
- building i586 possible fix
- spec fixes and update
- more spec fixes
- spec fixes and update to upstream
- spec file update
- imported package tea
+ zezinho <zezinho>
- remove useless BR - remove unused source
- remove useless defattr - add missing BR for QT5 print

